print("Loading Weapons")
--0 ram(guns, rccarbombs)
--1 follow
--2 pass and dropp(oil)
--3 run  and dropp(mines, oil)
--4 loop and drop(mines, oil)
--5 pass and fire(guns)
--6 pass and leadfire(rockets)
--7 pass and leadmore(grenades)
--8 loop and pass(reverse dir)

--configure Bullets
--return handle> hitDamage, mass, size, map, isBlast, bltDam, bltForce, bltRad, timer, landmine, impactEffect, hasTrail, trailElement, trail thickness, trailSpread, trail Vel, spin, hasShadow, hasGlow, glowIndex, glow Size
bul_lawRocket = addBulletType(20, 0.3, 2.35, map_Shotrocket, true, 30, 200, 20, 0, false, vef_rocketExplode, true, vel_smokeW, 95, 2, 0.45, 0, true, true, map_RocketTrail, 8);
bul_grenade = addBulletType(0, 0.3, 2.00, map_ShotGrenade, true, 40, 200, 25, 1.25, false, vef_grenadeExplode, true, vel_smokeW, 25, 2, 0.45, 3, true, true, map_flare, 4);
bul_mine = addBulletType(0, 0.3, 2.00, map_ShotMine, true, 30, 200, 15, 4, true ,vef_grenadeExplode, false, vel_smokeW, 25, 2, 0.45,  3, true, true, map_flare, 4);
bul_jato = addBulletType(0, 0.3, 0.05, map_ShotMine, true, 0, 140, 35, 0.01, false ,vef_jadoLaunch, false, vel_smokeW, 25, 2, 0.45,  3, true, true, map_flare, 4);

bul_molotov = addBulletType(10, 0.3, 2.00, map_ShotBottle, true, 20, 0, 12, 0.7, true, vef_molotovExplode, true, vel_smokeDarkW, 35, 2, 0.45, 3, true, true, map_cornerflame, 4);
bul_TNT = addBulletType(0, 0.3, 2.00, map_ShotTNT, true, 40, 100, 25, 1.25, false, vef_grenadeExplode, true, vel_smokeW, 25, 2, 0.45, 3, true, true, map_cornerflame, 4);


--configure Oil
--return handle> DamagePerSec, slickTime, timeonground, size, map, hasFX, FXIndex;
oil_normal = addOilType(0, 2, 8, 5.5, map_ShotOil, false, 0);
oil_napalm = addOilType(15, 1.5, 5, 5.5, map_ShotOil, true, vel_napalm);


--configure Weapons: BulletGuns and Rayguns
--Add Bullet Guns
--return handle> icon, armIcon, price, size, description, range, bulletForce, fireTime, reloadTime, ammo, burst, multishot, flashIndex, bulletHandle, sound, reloadsound, arcWidth, arcDir, accuracy, sideMounted, heavy, Shootground, AirTravel
gun_rocket = addBulletGunType(icon_law, arm_rocket, 4000, 5,"Law Rocket", 70, 25, 0.75, 3.5, 3, 1, 1, map_MuzzleFlash, bul_lawRocket, sound_rocket, sound_reload, PI / 2.5, HALFPI, PI / 16, true, false, true, 80);
gun_grenade = addBulletGunType(icon_grenade, arm_grenade, 2050, 3, "Grenade Launcher", 60, 15, 0.75, 4.0, 3, 1, 1, map_MuzzleFlash, bul_grenade, sound_grenade, sound_reload, PI / 2.5, HALFPI, PI / 8, true, false, true, 30);
gun_TNT = addBulletGunType(icon_bomb, arm_TNT, 750, 2, "Bag of Dynamite", 60, 10, 2.0, 4.0, 3, 1, 1, map_Blank, bul_TNT, sound_none, sound_reload, PI / 2.5, HALFPI, PI / 8, true, false, true, 30);
gun_molotov = addBulletGunType(icon_molotov, arm_molotov, 150, 1, "Molotov Cocktails", 60, 10, 0.1, 3.5, 1, 1, 1, map_Blank, bul_molotov, sound_none, sound_reload, PI / 2.5, HALFPI, PI / 8, true, false, true, 30);
--4
gun_mine = addBulletGunType(icon_mine, -1, 1500, 3, "Mine Layer", 35, 10, 0.75, 3.5, 1, 1, 1, map_MuzzleFlash, bul_mine, sound_grenade, sound_reload, 0, PI, PI / 1.5, false, true, true, 3);
--6

--Add Ray Guns
--return handle> icon, armIcon, price, size, description, range, damage, force, firetime, reloadtime, ammo, burst, multishot, flashIndex, fireSoundFx, reloadSoundFX ,hitSoundFx, impactVFX, arcWidth, arcDir, accuracy, sideMounted, heavy, Shootground
--9
gun_pistol = addRayGunType(icon_revolver, arm_pistol, 100, 1, ".38 Special", 60 ,4, 10, 0.25, 2.0, 6, 1, 1, map_MuzzleFlashSmall, sound_pistol, sound_none, sound_none, vel_sparkHit, PI / 2.5, HALFPI, PI / 8, true, false, true);
gun_pistolgat = addRayGunType(icon_gat, arm_gat, 250, 1, "Gat", 60 ,3, 10, 0.20, 2.0, 12, 1, 1, map_MuzzleFlashSmall, sound_pistol, sound_none, sound_none, vel_sparkHit, PI / 2.5, HALFPI, PI / 8, true, false, true);
gun_uzi = addRayGunType(icon_uzi, arm_smg,  900, 3, "Uzi", 60, 3, 10, 0.1, 3.0, 21, 3, 1, map_MuzzleFlashSmall, sound_burst4, sound_reload, sound_ricco3, vel_sparkHit, PI / 2.5, HALFPI, PI / 8, true, false, true);
gun_assault = addRayGunType(icon_ak47, arm_ak,  2000, 4, "AK-47", 65, 4, 14, 0.125, 3.0, 30, 4, 1, map_MuzzleFlashMedium, sound_burst6, sound_reload, sound_ricco3, vel_sparkHit, PI / 2.5, HALFPI, PI / 8, true, false, true);
gun_machinegun = addRayGunType(icon_mgun, arm_mgun,  3000, 5, "Machine Gun", 70, 5, 18, 0.125, 3.0, 50, 5, 1, map_MuzzleFlashLarge, sound_burst5, sound_reload, sound_ricco3, vel_sparkHit, PI / 2.5, HALFPI, PI / 8, true, false, true);
--14
gun_doublebarrel = addRayGunType(icon_doulbebarrel, arm_doublebarrel, 300, 2, "The Ole Double Barrel", 60, 4, 10, 0.2, 4.0, 2, 1, 3, map_MuzzleFlashMedium, sound_shotgun, sound_reload, sound_shotgunricco, vel_sparkHit, PI / 2.5, HALFPI, PI / 6, true, false, true);
gun_shotgun = addRayGunType(icon_shotgun, arm_shotgun, 700, 2, "12 Gauge Pump Action", 60, 4, 10, 0.75, 2.0, 5, 1, 4, map_MuzzleFlashMedium, sound_shotgun, sound_reload, sound_shotgunricco, vel_sparkHit, PI / 2.5, HALFPI, PI / 6, true, false, true);
gun_shotgunsemi = addRayGunType(icon_semishot, arm_shotgunsemi, 1400, 3, "12 Gauge Semi Auto", 65, 4, 10, 0.50, 2.0, 5, 1, 4, map_MuzzleFlashMedium, sound_shotgun, sound_reload, sound_shotgunricco, vel_sparkHit, PI / 2.5, HALFPI, PI / 6, true, false, true);
gun_autoshotgun = addRayGunType(icon_autoshot, arm_shotgunauto, 3000, 4, "Street Sweeper", 65, 4, 10, 0.25, 3.0, 6, 1, 5, map_MuzzleFlashMedium, sound_shotgun, sound_reload, sound_shotgunricco, vel_sparkHit, PI / 2.5, HALFPI, PI / 6, true, false, true);

--Add RCCarBomb Launchers
--return handle> icon, icon2, price, size, description, AIrange, firetime, reloadtime, ammo, burst, cardropped, flash, blastdamage, blastforce, blastradius, blasteffect, soundFire, soundReload, arcwidth, arcDir, sidemounted, heavy
--gun_rcLauncher = addRCGunType(icon_rccar, icon_bomb, 3, 2, "RC Car Bombs", 65, 3, 6, 1, 1, car_rcbomb, map_MuzzleFlash, 100, 200, 30, vef_grenadeExplode, sound_none, sound_reload, TWOPI, 0, true, true);


--Add Oil Droppers
--return handle> icon, price, size, description, AIrange, firetime, reloadtime, ammo, burst, oildropped, flash, soundFire, soundReload, arcDir, sidemounted, heavy
gun_oildropper = addOilGunType(icon_oil, 500, 1, "Oil Slick", 60, 0.06, 4, 15, 15, oil_normal, map_MuzzleSpray, sound_oilspray, sound_reload, PI, false, true);

--registered only weapons
gun_napalmdropper = addOilGunType(icon_napalm, 1000, 3, "Napalm Slick", 60, 0.06, 4, 15, 15, oil_napalm, map_MuzzleFlash, sound_flamethrower, sound_reload, PI, false, true);
gun_jato = addBulletGunType(icon_jato, -1, 3000, 3, "JATO Booster", 0, 1, 0.06, 7.0, 15, 15, 1, map_MuzzleBoost, bul_jato, sound_grenadeExplode, sound_reload, 0, PI, PI / 4.0, false, true, true, 0.1);
gun_rcLauncher = addRCGunType(icon_rccar, icon_bomb, 4000, 5, "RC Car Bombs", 65, 3, 6, 1, 1, car_rcbomb, map_MuzzleFlash, 100, 200, 30, vef_grenadeExplode, sound_none, sound_reload, TWOPI, 0, true, true);

